## deviceinfo 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deviceinfo)
set(CMAKE_CXX_STANDARD 14)

set(VERSION_MAJOR 0)
set(VERSION_MINOR 1)
set(VERSION_PATCH 0)

include(FindPkgConfig)
include(GNUInstallDirs)

option(DISABLE_TESTS "Disable tests" off)

pkg_search_module(YAMLCPP yaml-cpp REQUIRED)
pkg_search_module(ANDROIDPROPS libandroid-properties)
if(NOT ANDROIDPROPS_FOUND)
    message(WARNING "Did not find android properties, bulding without!")
endif()

set(TARGET deviceinfo)

include_directories(headers)

set(CONFIG_PATH ${CMAKE_INSTALL_FULL_SYSCONFDIR}/deviceinfo)
install(DIRECTORY configs/ DESTINATION ${CONFIG_PATH})

add_subdirectory(headers)
add_subdirectory(src)
add_subdirectory(tools)

if (DISABLE_TESTS)
    message(STATUS "Tests disabled")
else()
    include(CTest)
    enable_testing()
    add_subdirectory(tests)
endif()

# Coverage
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage (or ninja if you use that backend)
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
find_package(CoverageReport)

=== src/CMakeLists.txt ===
if(ANDROIDPROPS_FOUND)
    add_definitions(-DHAVE_PROPS)

    set(HALIUM_SRC
        platform/halium.cpp
    )
endif()

add_library(${TARGET} SHARED
    config.cpp
    device.cpp
    deviceinfo.cpp
    logger.cpp
    utils.cpp

    platform/platform.cpp
    platform/linux.cpp
    ${HALIUM_SRC}
)

add_definitions(-DENABLE_LEGACY=1)
add_definitions(-DCONFIG_PATH="${CONFIG_PATH}")
add_definitions(-DDEVICES_PATH="${CONFIG_PATH}/devices")

target_link_libraries(${TARGET}
    ${ANDROIDPROPS_LDFLAGS}
    ${YAMLCPP_LDFLAGS}
)

set_target_properties(
        ${TARGET}

        PROPERTIES
        VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
        SOVERSION ${VERSION_MAJOR}
)

install(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== tests/unit/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${GMOCK_INCLUDE_DIRS}
)

add_definitions(-DENABLE_LEGACY=1)
add_definitions(-DTEST_DEFAULT_DIR="${TEST_DATA_DIR}")
add_definitions(-DTEST_DEVICE_DIR="${TEST_DATA_DIR}/devices")

macro(declare_test test testname)
    add_executable(${testname} ${testname}.cpp)
    target_link_libraries(${testname}
        ${TARGET}

        ${GTEST_LIBRARIES}
        ${GTEST_BOTH_LIBRARIES}
        ${GMOCK_LIBRARIES}
    )

    if(TEST_XML_OUTPUT)
        set(TEST_ARGS -p -xunitxml -p -o -p ${testname}.xml)
    else()
        set(TEST_ARGS "")
    endif()

    add_test(${test} ${testname})
    #set_tests_properties(${testname} PROPERTIES
    #                     TIMEOUT ${CTEST_TESTING_TIMEOUT}
    #                     ENVIRONMENT "QT_QPA_PLATFORM=minimal")

    set(TESTS ${TESTS} ${testname})
endmacro(declare_test testname)

declare_test(TestConfig tst_config)
declare_test(TestDeviceinfo tst_deviceinfo)

find_package(CoverageReport)
enable_coverage_report(
  TARGETS
    deviceinfo
  FILTER
    ${CMAKE_SOURCE_DIR}/tests/*
    ${CMAKE_BINARY_DIR}/*
  TESTS
    ${TESTS}
)

=== debian/changelog ===
deviceinfo (0.1.0-5) unstable; urgency=medium

  * debian/ibdeviceinfo0.symbols:
    + Update .symbols file from previous build logs.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Nov 2021 22:13:03 +0100

deviceinfo (0.1.0-4) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Bump Standards-Version: 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 22:17:08 +0100

deviceinfo (0.1.0-3) experimental; urgency=medium

  * debian/libdeviceinfo0.symbols:
    + Update for s390x architecture.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 May 2021 01:07:39 +0200

deviceinfo (0.1.0-2) experimental; urgency=medium

  * debian/libdeviceinfo0.symbols:
    + Update for non-amd64 architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Apr 2021 22:05:54 +0200

deviceinfo (0.1.0-1) experimental; urgency=medium

  * initial release to Debian. (Closes: #985232).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 14 Mar 2021 22:50:53 +0100

=== debian/control ===
Source: deviceinfo
Section: admin
Priority: optional
Build-Depends: cmake (>= 2.8.10),
               cmake-extras,
               debhelper-compat (= 13),
               gcovr,
               lcov,
               libgtest-dev,
               pkg-config,
#               libandroid-properties-dev,
               libyaml-cpp-dev,
               googletest | google-mock,
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/deviceinfo
Vcs-Git: https://salsa.debian.org/ubports-team/deviceinfo.git
Vcs-Browser: https://salsa.debian.org/ubports-team/deviceinfo

Package: libdeviceinfo0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Library for Lomiri to detect and configure devices
 Lomiri Operating Environment is a convergent work shell designed
 for use cases on phone, tablet or desktop devices.
 .
 This package provides a library to detect and configure devices.

Package: libdeviceinfo-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdeviceinfo0 (= ${binary:Version}),
Description: Development headers to detect and configure devices in Lomiri
 Lomiri Operating Environment is a convergent work shell designed
 for use cases on phone, tablet or desktop devices.
 .
 Development headers for libdeviceinfo, to detect and configure devices.

Package: deviceinfo-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to detect and configure devices in Lomiri
 Lomiri Operating Environment is a convergent work shell designed
 for use cases on phone, tablet or desktop devices.
 .
 Tools to detect and configure devices

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/deviceinfo/tags .*/deviceinfo-v(\d\S+)\.tar\.gz

## deviceinfo 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(deviceinfo)
+project(deviceinfo VERSION 0.1.1)
 set(CMAKE_CXX_STANDARD 14)
 
 set(VERSION_MAJOR 0)
@@ -21,7 +21,7 @@
 
 include_directories(headers)
 
-set(CONFIG_PATH ${CMAKE_INSTALL_FULL_SYSCONFDIR}/deviceinfo)
+set(CONFIG_PATH ${CMAKE_INSTALL_FULL_SYSCONFDIR}/deviceinfo CACHE STRING "")
 install(DIRECTORY configs/ DESTINATION ${CONFIG_PATH})
 
 add_subdirectory(headers)

=== headers/CMakeLists.txt ===
set(PUBLIC_HEADERS
    deviceinfo.h
)

configure_file(${TARGET}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/deviceinfo)

=== debian/changelog ===
deviceinfo (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Adjust release tarball name.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Add auto-generated copyright.in file for later tracking of copyright
      changes.
    + Update copyright attributions for debian/.
  * debian/patches:
    + Drop 1001_fix-build-without-android-props.patch. Applied upstream.
  * debian/libdeviceinfo0.symbols:
    + Drop file. Too hard to maintain with C++ libraries.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 00:33:48 +0100

deviceinfo (0.1.0-8) unstable; urgency=medium

  * Team upload.
  * debian/libdeviceinfo0.symbols:
    + Update symbols for ppc64el.

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Oct 2022 23:05:07 +0200

deviceinfo (0.1.0-7) unstable; urgency=medium

  * debian/libdeviceinfo0.symbols:
    + Update symbols for gcc-12.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Jul 2022 00:44:11 +0200

deviceinfo (0.1.0-6) unstable; urgency=medium

  * Build against gcc-12, it is expected to fail due to
    symbol changes. The build logs of this build failure
    will be used to update the .symbols file.

  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/rules:
    + Enforce DPKG_GENSYMBOLS_CHECK_LEVEL=1.
  * debian/libdeviceinfo0.symbols:
    + Adjust for kfreebsd-amd64 and kfreebsd-i386.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 16:33:35 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                googletest | google-mock,
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/deviceinfo
+Homepage: https://gitlab.com/ubports/development/core/deviceinfo
 Vcs-Git: https://salsa.debian.org/ubports-team/deviceinfo.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/deviceinfo

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+export DPKG_GENSYMBOLS_CHECK_LEVEL=1
 
 %:
 	dh $@ --buildsystem cmake

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/deviceinfo/tags .*/deviceinfo-(\d\S+)\.tar\.gz

## deviceinfo 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 cmake_minimum_required(VERSION 3.0)
-project(deviceinfo VERSION 0.1.1)
+project(deviceinfo VERSION 0.2.0)
 set(CMAKE_CXX_STANDARD 14)
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 1)
+set(VERSION_MINOR 2)
 set(VERSION_PATCH 0)
 
 include(FindPkgConfig)
 include(GNUInstallDirs)
 
 option(DISABLE_TESTS "Disable tests" off)
+option(WITH_EXTRAS "Build extra component(s)" off)
 
 pkg_search_module(YAMLCPP yaml-cpp REQUIRED)
 pkg_search_module(ANDROIDPROPS libandroid-properties)
@@ -36,6 +37,11 @@
     add_subdirectory(tests)
 endif()
 
+if (WITH_EXTRAS)
+    pkg_check_modules(GLib REQUIRED IMPORTED_TARGET glib-2.0 gio-2.0)
+    add_subdirectory(extras)
+endif ()
+
 # Coverage
 #####################################################################
 # Enable code coverage calculation with gcov/gcovr/lcov

=== debian/changelog ===
deviceinfo (0.2.0-1build1) mantic; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 07:18:34 +0200

deviceinfo (0.2.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Drop from B-D: googletest | google-mock. Pulling in libgtest-dev is
      enough.
    + Adjust phrasing in LONG_DESCRIPTION of deviceinfo-extras.
  * debian/libdeviceinfo-dev.install:
    + Add deviceinfo_c_api.h header file.

  [ Ratchanan Srirattanamet ]
  * debian/control:
    + Add B-Ds for deviceinfo-extras (libglib2.0-dev, systemd).
  * debian/*:
    + Add new bin:pkg deviceinfo-extras.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2023 14:19:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
                debhelper-compat (= 13),
                gcovr,
                lcov,
+#               libandroid-properties-dev,
                libgtest-dev,
+               libglib2.0-dev,
+               libyaml-cpp-dev,
                pkg-config,
-#               libandroid-properties-dev,
-               libyaml-cpp-dev,
-               googletest | google-mock,
+               systemd,
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Standards-Version: 4.6.2
@@ -51,3 +52,14 @@
  for use cases on phone, tablet or desktop devices.
  .
  Tools to detect and configure devices
+
+Package: deviceinfo-extras
+Section: admin
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Library to detect and configure devices - extra programs
+ Library to detect and configure devices
+ .
+ This package contains extra programs shipped with deviceinfo. At the moment,
+ this includes the update-machine-info-from-deviceinfo tool.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 %:
 	dh $@ --buildsystem cmake
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DWITH_EXTRAS=ON
+
 override_dh_missing:
 	dh_missing --fail-missing

## deviceinfo 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(deviceinfo VERSION 0.2.0)
+project(deviceinfo VERSION 0.2.2)
 set(CMAKE_CXX_STANDARD 14)
 
 set(VERSION_MAJOR 0)

=== debian/changelog ===
deviceinfo (0.2.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:26 +0000

deviceinfo (0.2.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:13:14 +0000

deviceinfo (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/control:
    + Drop Section: field from deviceinfo-extras bin:pkg. Duplicated Section:
      on src:pkg section.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 18:13:27 +0100

deviceinfo (0.2.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052984)

  [ Marius Gripsgard ]
  * New upstream release
  * Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 15 Dec 2023 00:43:58 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,11 @@
                libyaml-cpp-dev,
                pkg-config,
                systemd,
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+               systemd-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
+           Marius Gripsgard <marius@debian.org>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/deviceinfo
@@ -25,6 +28,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Multi-Arch: same
 Description: Library for Lomiri to detect and configure devices
  Lomiri Operating Environment is a convergent work shell designed
  for use cases on phone, tablet or desktop devices.
@@ -54,7 +58,6 @@
  Tools to detect and configure devices
 
 Package: deviceinfo-extras
-Section: admin
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/deviceinfo/-/tags .*/deviceinfo-(\d\S+)\.tar\.gz

## deviceinfo 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(deviceinfo VERSION 0.2.2)
+project(deviceinfo VERSION 0.2.3)
 set(CMAKE_CXX_STANDARD 14)
 
 set(VERSION_MAJOR 0)

=== headers/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(PUBLIC_HEADERS
     deviceinfo.h
+    deviceinfo_c_api.h
 )
 
 configure_file(${TARGET}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.pc @ONLY)

=== debian/changelog ===
deviceinfo (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 17:42:50 +0200

deviceinfo (0.2.2-2) unstable; urgency=medium

  * debian/control:
    + In B-D:, drop systemd and B-D on systemd-dev [linux-any]. (Closes:
      #1060537).
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 10:46:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,11 @@
                libglib2.0-dev,
                libyaml-cpp-dev,
                pkg-config,
-               systemd,
-               systemd-dev,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+               systemd-dev [linux-any],
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/deviceinfo
 Vcs-Git: https://salsa.debian.org/ubports-team/deviceinfo.git

## deviceinfo 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.0)
-project(deviceinfo VERSION 0.2.3)
-set(CMAKE_CXX_STANDARD 14)
+cmake_minimum_required(VERSION 3.10)
+project(deviceinfo VERSION 0.2.4)
+set(CMAKE_CXX_STANDARD 17)
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 2)

=== extras/CMakeLists.txt ===
add_executable(update-machine-info-from-deviceinfo
    update-machine-info-from-deviceinfo.cpp
)
target_link_libraries(update-machine-info-from-deviceinfo
    deviceinfo
    PkgConfig::GLib
)
install(TARGETS update-machine-info-from-deviceinfo DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

configure_file(
    update-machine-info-from-deviceinfo.service.in
    "${CMAKE_CURRENT_BINARY_DIR}/update-machine-info-from-deviceinfo.service"
    @ONLY
)
pkg_get_variable(SYSTEMD_SYSTEM_UNIT_DIR systemd systemdsystemunitdir)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/update-machine-info-from-deviceinfo.service"
    DESTINATION ${SYSTEMD_SYSTEM_UNIT_DIR}
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
     config.cpp
     device.cpp
     deviceinfo.cpp
+    deviceinfo_c_api.cpp
     logger.cpp
     utils.cpp

=== tests/CMakeLists.txt ===
find_package(GMock)

add_subdirectory(data)
add_subdirectory(unit)

=== tools/CMakeLists.txt ===
add_executable(device-info
    device-info.cpp
)

target_link_libraries(device-info deviceinfo)

install(TARGETS device-info DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tests/data/CMakeLists.txt ===

set(TEST_DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR} PARENT_SCOPE)

=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 declare_test(TestConfig tst_config)
 declare_test(TestDeviceinfo tst_deviceinfo)
+declare_test(TestUtils tst_utils)
 
 find_package(CoverageReport)
 enable_coverage_report(

=== debian/changelog ===
deviceinfo (0.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 23:21:45 +0200

deviceinfo (0.2.3-3) unstable; urgency=medium

  * debian/patches:
    + Add 1002_CMakeLists.txt-Bump-C-Standard-to-C-17-fix-building-.patch. Fix
      FTBFS against GTest >= 1.17.0.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 16:00:55 +0200

deviceinfo (0.2.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_support-building-with-cmake4.patch. (Closes: #1112837).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 12:36:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libgtest-dev,
                libglib2.0-dev,
                libyaml-cpp-dev,
-               pkg-config,
+               pkgconf,
                systemd-dev [linux-any],
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=1
+export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 %:
 	dh $@ --buildsystem cmake
